/**
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package com.service.customer.web;

import java.util.List;

import javax.naming.InitialContext;

import com.service.customer.ejb.CustomerInfo;
import com.service.customer.ejb.ProcessCustomerSessionLocal;

public class CustomerServiceJavaBean {
    private ProcessCustomerSessionLocal process = null;

    public CustomerServiceJavaBean() {

        try {
            InitialContext initial = new InitialContext();
            process = (ProcessCustomerSessionLocal) initial.lookup("java:comp/env/ejb/ProcessCustomerSessionBean");
        }

        catch (Exception e) {
            e.printStackTrace();
        }
    }


    public List<CustomerInfo> getAllCustomers() {
        List<CustomerInfo> customerList = null;

        try {
            customerList = process.findAllCustomers();
        }
        catch (Exception e) {
            e.printStackTrace();
        }

        return customerList;
    }
} 
